Loading...
Searching...
No Matches
raptor::hibf::build_data< data_layout_mode > Struct Template Reference

## Public Member Functions

void | compute_fp_correction (size_t const requested_max_tb, size_t const num_hash_functions, double const desired_fpr)
| Precompute f_h factors that adjust the split bin size to prevent FPR inflation due to multiple testing.
size_t | request_ibf_idx ()
size_t | request_user_bin_idx ()
void | resize ()

## Public Attributes

std::vector< double > | fp_correction {}
hierarchical_interleaved_bloom_filter< data_layout_mode > | hibf {}
lemon::ListDigraph | ibf_graph {}
std::atomic< size_t > | ibf_number {}
lemon::ListDigraph::NodeMap< node_data > | node_map {ibf_graph}
size_t | number_of_ibfs {}
size_t | number_of_user_bins {}
std::atomic< size_t > | user_bin_number {}

## Member Function Documentation

## compute_fp_correction()

template<seqan3::data_layout data_layout_mode>

void raptor::hibf::build_data< data_layout_mode >::compute_fp_correction | ( | size_t const | requested_max_tb,
|  | size_t const | num_hash_functions,
|  | double const | desired_fpr )

inline

Precompute f_h factors that adjust the split bin size to prevent FPR inflation due to multiple testing.

See also
  https://godbolt.org/z/zTj1v9W94

The documentation for this struct was generated from the following file:

- build_data.hpp